PDA

Visualizza la versione completa : Stampante su Mandriva


bonzox
23-05-2006, 18:36
Non rieco ad installare la stampante canon ip1500 su mandriva 2006.

Mi dice ciò:
"Printdrake non riesce a determinare il modello della stampante(canon ip1500 su dev/usb/lp0)"

come fare?

andy caps
23-05-2006, 21:16
http://forum.ubuntu-fr.org/viewtopic.php?pid=142818#p142818

guarda qui

qualcuno ha fatto dei driver che sembrano funzionare
http://linux.cergynux.net/canon/
scarica gli rpm naturalmente e installa i files indicati

rpm -ivh nome.rpm esatto

bonzox
14-06-2006, 16:14
[root@localhost Desktop]# rpm -ivh bjfilter-pixmaip1500-2.50-2.i386.rpm
error: Failed dependencies:
bjfilter-common = 2.50 is needed by bjfilter-pixmaip1500-2.50-2.i386
libpng10.so.0 is needed by bjfilter-pixmaip1500-2.50-2.i386
libtasn1.so.2 is needed by bjfilter-pixmaip1500-2.50-2.i386
libtiff.so.4 is needed by bjfilter-pixmaip1500-2.50-2.i386
[root@localhost Desktop]# rpm -ivh bjfilter-pixmaip1500-lprng-2.50-2.i386.rpm
error: Failed dependencies:
bjfilter-common = 2.50 is needed by bjfilter-pixmaip1500-lprng-2.50-2.i386
bjfilter-pixmaip1500 = 2.50 is needed by bjfilter-pixmaip1500-lprng-2.50-2.i386

mi da questo problema di dipendenza, dove sbaglio?

andy caps
14-06-2006, 16:21
devi installare i pacchetti che chiede

esempio se cerchi libpng ed installi i -devel del pacchetto poi quella dipendenza è risolta

cerca anche parzialmente
es
urpmi -y tiff trova le librerie tif

bonzox
14-06-2006, 16:40
[root@localhost Desktop]# urpmi -y tiff
nessun pacchetto denominato tiff
I seguenti pacchetti contengono tiff:
Image-ExifTool
OpenSceneGraph
gdk-pixbuf-loaders
geotiff
kdegraphics-common
libextractor1-devel
libgeotiff1
libgeotiff1-devel
libimlib1
libimlib2_1-loaders
libkdecore4
libtiff-progs
libtiff3
libtiff3-devel
libtiff3-static-devel
ocaml-camlimages-devel
perl-Image-Info
perl-PDF-API2
[root@localhost Desktop]# urpmi libtiff3-devel
E' già tutto installato
[root@localhost Desktop]# urpmi libtiff3
E' già tutto installato


Mi dice che sono già installate?? :messner: :messner:

andy caps
14-06-2006, 20:50
quando compili devi installare le versioni -devel dei pacchetti

urpmi libtiff3-devel poi dovrebeb trovarla

bonzox
15-06-2006, 00:34
[root@localhost Desktop]# urpmi libtiff3-devel
E' già tutto installato

Ho provato, ma dice che è già installato

andy caps
15-06-2006, 15:53
http://linux.cergynux.net/canon/bjfilter-common-2.50-2.i386.rpm
http://linux.cergynux.net/canon/bjfilter-pixmaip1500-2.50-2.i386.rpm
http://linux.cergynux.net/canon/bjfilter-pixmaip1500-lprng-2.50-2.i386.rpm


prova ad installare bjfilter-common poi gli altri

prova ad instalare gli altri file di tiff

libtiff-progs esempio

altrimenti se hai installato le vbarie librerie di tiff png e libtasn a volte si deve cercare le librerie e linkarle in /usr/lib spesso

esempio se in /usr/lib hai libtasn1.so.0 e lui cerca libtasn1.so.2

cd /usr/lib
poi
ln -s libtasn1.so.0 libtasn1.so.2 ti crea la libreria che cerca quando controlla le dipendenze

bobo972
15-06-2006, 17:11
guarda che sul sito della canon ci sono i driver per linux della tua stampante questo (http://software.canon-europe.com/software/canon_print_filter_for_linuxs22415.asp?model=) il link

bonzox
16-06-2006, 17:34
Hai idea di come si installino, non riesco a capire.

Mi sembrano gli stessi RPM scaricati precedentemente.

Loading